### HANDBOOK FOR

### NEW EMPLOYEES

_============================================================_


## HANDBOOK FOR

## NEW EMPLOYEES

#### A fearless adventure

#### in knowing what to do

#### when no one’s there

#### telling you what to do

```
FIRST EDITION
2012
```
_========================================================_


```
Dedicated to the families
of all Valve employees.
```
Thank you for helping us make
such an incredible place.

### Table of Contents

```
Preface .....................................................vii
How to Use This Book .........................................viii
Part 1: Welcome to Valve ........................................ 1
Your First Day
Valve Facts That Matter
Welcome to Flatland
Part 2: Settling In .................................................... 7
Your First Month
What to Work On
Why do I need to pick my own projects?, But how do I decide which things to
work on?, How do I find out what projects are under way?, Short-term vs. long-
term goals, What about all the things that I’m not getting done?, How does
Valve decide what to work on? Can I be included the next time Valve is
deciding X?
Teams, Hours, and the Office
Cabals, Team leads, Structure happens, Hours, The office
Risks
What if I screw up?, But what if we ALL screw up?
Part 3: How Am I Doing? ............................................ 25
Your Peers and Your Performance
Peer reviews, Stack ranking (and compensation)
Part 4: Choose Your Own Adventure .................................. 35
Your First Six Months
Roles, Advancement vs. growth, Putting more tools in your toolbox
Part 5: Valve Is Growing ............................................. 41
Your Most Important Role
Hiring, Why is hiring well so important at Valve?, How do we choose
the right people to hire?, We value “T-shaped” people, We’re looking
for people stronger than ourselves, Hiring is fundamentally the same
across all disciplines
Part 6: Epilogue .................................................... 51
What Is Valve Not Good At?
What Happens When All This Stuff Doesn’t Work?
Where Will You Take Us?
Glossary ............................................................ 55
```

- vii –

_© 2012 Valve Corporation. All Rights Reserved. Printed in the United States of America.
This handbook does not constitute an employment contract or binding policy and is subject to change at any time. Either Valve or an employee can terminate the employment relationship
at any time, with or without cause, with or without notice. Employment with Valve is at-will, and nothing in this handbook will alter that status._

_First edition: March 2012_
Valve CorporationBellevue, Washington USA
[http://www.valvesoftware.com](http://www.valvesoftware.com)
_Designed by ValveTypeface: ITC New Baskerville_

_10 9 8 7 6 5 4 3 2 1_

## Preface

```
In 1996, we set out to make great games, but we knew back
then that we had to first create a place that was designed
to foster that greatness. A place where incredibly talented
individuals are empowered to put their best work into the
hands of millions of people, with very little in their way.
This book is an abbreviated encapsulation of our guiding
principles. As Valve continues to grow, we hope that these
principles will serve each new person joining our ranks.
If you are new to Valve, welcome. Although the goals in
this book are important, it’s really your ideas, talent, and
energy that will keep Valve shining in the years ahead.
Thanks for being here. Let’s make great things.
```

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- viii –

## How to Use This Book

```
This book isn’t about fringe benefits or how to set up your
workstation or where to find source code. Valve works in
ways that might seem counterintuitive at first. This hand-
book is about the choices you’re going to be making and
how to think about them. Mainly, it’s about how not to
freak out now that you’re here.
```
```
For more nuts-and-bolts information, there’s an official Valve intranet
( http://intranet ). Look for stuff there like how to build a Steam
depot or whether eyeglasses are covered by your Flex Spending plan.
This book is on the intranet, so you can edit it. Once you’ve read it,
help us make it better for other new people. Suggest new sections,
or change the existing ones. Add to the Glossary. Or if you’re not
all that comfortable editing it, annotate it: make comments and
suggestions. We’ll collectively review the changes and fold them
into future revisions.
```
==================================================

## ================================================== Welcome to Valve

# 1


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 2 – – 3 –

```
WELCOME TO VALVE
```
## Your First Day

So you’ve gone through the interview process, you’ve
signed the contracts, and you’re finally here at Valve.
Congratulations, and welcome.
Valve has an incredibly unique way of doing things
that will make this the greatest professional experience
of your life, but it can take some getting used to. This
book was written by people who’ve been where you are
now, and who want to make your first few months here
as easy as possible.

## Valve Facts That Matter

```
Valve is self-funded. We haven’t ever brought in outside
financing. Since our earliest days this has been incredibly
important in providing freedom to shape the company
and its business practices.
Valve owns its intellectual property. This is far from the
norm, in our industry or at most entertainment content-
producing companies. We didn’t always own it all. But
thanks to some legal wrangling with our first publisher
after Half-Life shipped, we now do. This has freed us to
make our own decisions about our products.
Valve is more than a game company. We started our
existence as a pretty traditional game company. And
we’re still one, but with a hugely expanded focus. Which
is great, because we get to make better games as a result,
```
```
Fig. 1-
```
```
Fig. 1-
```

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 4 –

```
Fig. 1-
```
and we’ve also been able to diversify. We’re an entertain-
ment company. A software company. A platform company.
But mostly, a company full of passionate people who love
the products we create.

## Welcome to Flatland

Hierarchy is great for maintaining predictability and
repeatability. It simplifies planning and makes it easier to
control a large group of people from the top down, which
is why military organizations rely on it so heavily.
But when you’re an entertainment company that’s spent
the last decade going out of its way to recruit the most
intelligent, innovative, t alented people on Earth, telling
them to sit at a desk and do what they’re told obliterates
99 percent of their value. We want innovators, and that
means maintaining an environment where they’ll flourish.
That’s why Valve is flat. It’s our shorthand way of saying
that we don’t have any management, and nobody “reports
to” anybody else. We do have a founder/president, but
even he isn’t your manager. This company is yours to
steer—toward opportunities and away from risks. You have
the power to green-light projects. You have the power to
ship products.
A flat structure removes every organizational barrier


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 6 –

```
between your work and the customer enjoying that work.
Every company will tell you that “the customer is boss,” but
here that statement has weight. There’s no red tape stop-
ping you from figuring out for yourself what our customers
want, and then giving it to them.
If you’re thinking to yourself, “Wow, that sounds like a
lot of responsibility,” you’re right. And that’s why hiring is
the single most important thing you will ever do at Valve
(see “Hiring ,” on page 43). Any time you interview a potential
hire, you need to ask yourself not only if they’re talented or
collaborative but also if they’re capable of literally running
this company, because they will be.
```
==================================================
**Why does your desk have wheels?** Think of those wheels as a symbolic
reminder that you should always be considering where you could move
yourself to be more valuable. But also think of those wheels as literal
wheels, because that’s what they are, and you’ll be able to actually move
your desk with them.
You’ll notice people moving frequently; often whole teams will move
their desks to be closer to each other. There is no organizational
structure keeping you from being in close proximity to the people
who you’d help or be helped by most.
The fact that everyone is always moving around within the company
makes people hard to find. That’s why we have **[http://user](http://user)** —check it
out. We know where you are based on where your machine is plugged
in, so use this site to see a map of where everyone is right now.

==================================================

## Settling In

# 2


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 8 – – 9 –

```
SETTLING IN
```
## Your First Month

So you’ve decided where you put your desk. You know
where the coffee machine is. You’re even pretty sure you
know what that one guy’s name is. You’re not freaking
out anymore. In fact, you’re ready to show up to work this
morning, sharpen those pencils, turn on your computer,
and then what?
This next section walks you through figuring out what to
work on. You’ll learn about how projects work, how cabals
work, and how products get out the door at Valve.

## What to Work On

##### Why do I need to pick my own projects?

We’ve heard that other companies have people allocate a
percentage of their time to self- directed projects. At Valve,
that percentage is 100.
Since Valve is flat, people don’t join projects because
they’re told to. Instead, you’ll decide what to work on
after asking yourself the right questions (more on that
later). Employees vote on projects with their feet (or desk
wheels). Strong projects are ones in which people can
see demonstrated value; they staff up easily. This means
there are any number of internal recruiting efforts
constantly under way.

```
If you’re working here, that means you’re good at your
job. People are going to want you to work with them on
their projects, and they’ll try hard to get you to do so. But
the decision is going to be up to you. (In fact, at times
you’re going to wish for the luxury of having just one
person telling you what they think you should do, rather
than hundreds.)
```
##### But how do I decide which things to work on?

```
Deciding what to work on can be the hardest part of your
job at Valve. This is because, as you’ve found out by now,
you were not hired to fill a specific job description. You
were hired to constantly be looking around for the most
valuable work you could be doing. At the end of a project,
you may end up well outside what you thought was your
core area of expertise.
There’s no rule book for choosing a project or task at
Valve. But it’s useful to answer questions like these:
```
- Of all the projects currently under way, what’s the
most valuable thing I can be working on?
- Which project will have the highest direct impact
on our customers? How much will the work I ship
benefit them?
- Is Valve not doing something that it should be doing?
- What’s interesting? What’s rewarding? What leverages
my individual strengths the most?


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 10 – – 11 –

```
SETTLING IN
```
##### How do I find out what projects are under way?

There are lists of stuff, like current projects, but by far
the best way to find out is to ask people. Anyone, really.
When you do, you’ll find out what’s going on around the
company and your peers will also find out about you. Lots
of people at Valve want and need to know what you care
about, what you’re good at, what you’re worried about,
what you’ve got experience with, and so on. And the way
to get the word out is to start telling people all of those
things. So, while you’re getting the lay of the land by
learning about projects, you’re also broadcasting your
own status to a relevant group of people.
Got an idea for how Valve could change how we internally
broadcast project/company status? Great. Do it. In the
meantime, the chair next to anyone’s desk is always open,
so plant yourself in it often.

##### Short-term vs. long-term goals

Because we all are responsible for prioritizing our own
work, and because we are conscientious and anxious to be
valuable, as individuals we tend to gravitate toward projects
that have a high, measurable, and predictable return for
the company. So when there’s a clear opportunity on the
table to succeed at a near-term business goal with a clear
return, we all want to take it. And, when we’re faced with a

```
problem or a threat, and it’s one with a clear cost, it’s hard
not to address it immediately.
This sounds like a good thing, and it often is, but it has
some downsides that are worth keeping in mind. Specifi-
cally, if we’re not careful, these traits can cause us to race
back and forth between short-term opportunities and
threats, being responsive rather than proactive.
So our lack of a traditional structure comes with an
important responsibility. It’s up to all of us to spend effort
focusing on what we think the long-term goals of the com-
pany should be.
```
##### Someone told me to (or not to) work on X. And

##### they’ve been here a long time!

```
Well, the correct response to this is to keep thinking about
whether or not your colleagues are right. Broaden the
conversation. Hold on to your goals if you’re convinced
they’re correct. Check your assumptions. Pull more people
in. Listen. Don’t believe that anyone holds authority over
the decision you’re trying to make. They don’t; but they
probably have valuable experience to draw from, or infor-
mation/data that you don’t have, or insight that’s new.
When considering the outcome, don’t believe that anyone
but you is the “stakeholder”. You’re it. And Valve’s custom-
ers are who you’re serving. Do what’s right for them.
```

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 12 – – 13 –

```
SETTLING IN
```
```
There are lots of stories about how Gabe has made important decisions
by himself, e.g., hiring the whole Portal 1 team on the spot after only
half of a meeting. Although there are examples, like that one, where
this kind of decision making has been successful, it’s not the norm for
Valve. If it were, we’d be only as smart as Gabe or management types,
and they’d make our important decisions for us. Gabe is the first to say
that he can’t be right nearly often enough for us to operate that way.
His decisions and requests are subject to just as much scrutiny and
skepticism as anyone else’s. (So if he tells you to put a favorite custom
knife design into Counter-Strike , you can just say no.)
```
==================================================

==================================================

```
Whatever group you’re in, whether you’re building Steam
servers, translating support articles, or making the ten-
thousandth hat for Team Fortress 2 , this applies to you. It’s
crucial that you believe it, so we’ll repeat it a few more
times in this book.
```
##### What about all the things that I’m not getting done?

```
It’s natural in this kind of environment to constantly feel
like you’re failing because for every one task you decide
to work on, there will be dozens that aren’t getting your
attention. Trust us, this is normal. Nobody expects you
to devote time to every opportunity that comes your way.
Instead, we want you to learn how to choose the most
important work to do.
```
##### How does Valve decide what to work on?

```
The same way we make other decisions: by waiting for
someone to decide that it’s the right thing to do, and then
letting them recruit other people to work on it with them.
We believe in each other to make these decisions, and this
faith has proven to be well-founded over and over again.
But rather than simply trusting each other to just be
smart, we also constantly test our own decisions. Whenever
we move into unknown territory, our findings defy our own
predictions far more often than we would like to admit.
We’ve found it vitally important to, whenever possible,
not operate by using assumptions, unproven theories, or
folk wisdom.
This kind of testing takes place across our business, from
game development to hiring, to selling games on Steam.
Luckily, Steam is a fantastic platform for business learn-
ing. It exists to be an entertainment/service platform for
our customers, and as such it also is a conduit for constant
communication between us and them.
Accepted truisms about sales, marketing, regionality, sea-
sonality, the Internet, purchasing behavior, game design,
economics, and recruiting, etc., have proven wrong surpris-
ingly often. So we have learned that when we take nearly
any action, it’s best to do so in a way that we can measure,
predict outcomes, and analyze results.
```

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 14 – – 15 –

```
SETTLING IN
```
Recruiting can be a difficult process to instrument and
measure. Although we have always tried to be highly ratio-
nal about how we hire people, we’ve found much room
for improvement in our approach over the years. We have
made significant strides toward bringing more predict-
ability, measurement, and analysis to recruiting. A process
that many assume must be treated only as a “soft” art
because it has to do with humans, personalities, language,
and nuance, actually has ample room for a healthy dose
of science. We’re not turning the whole thing over to
robots just yet though _(see “Hiring ,” on page 43)_.

##### Can I be included the next time Valve is deciding X?

Yes. There’s no secret decision-making cabal. No matter
what project, you’re already invited. All you have to do is
either (1) Start working on it, or (2) Start talking to all the
people who you think might be working on it already and
find out how to best be valuable. You will be welcomed—
there is no approval process or red tape involved. Quite the
opposite—it’s your job to insert yourself wherever you think
you should be.

## Teams, Hours, and the Office

##### Cabals

```
Cabals are really just multidisciplinary project teams. We’ve
self- organized into these largely temporary groups since
the early days of Valve. They exist to get a product or large
feature shipped. Like any other group or effort at the
company, they form organically. People decide to join the
group based on their own belief that the group’s work is
important enough for them to work on.
==================================================
```
```
==================================================
```
```
Fig. 2-
```
```
For reference, read the article on cabals by Ken Birdwell. It describes
where cabals came from and what they meant to us early on:
http://tinyurl.com/ygam86p.
```

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 16 – – 17 –

```
SETTLING IN
```
##### Team leads

Often, someone will emerge as the “lead” for a project.
This person’s role is not a traditional managerial one.
Most often, they’re primarily a clearinghouse of informa-
tion. They’re keeping the whole project in their head at
once so that people can use them as a resource to check
decisions against. The leads serve the team, while acting
as centers for the teams.

##### Structure happens

Project teams often have an internal structure that forms
temporarily to suit the group’s needs. Although people at
Valve don’t have fixed job descriptions or limitations on
the scope of their responsibility, they can and often do
have clarity around the definition of their “job” on any
given day. They, along with their peers, effectively create a
job description that fits the group’s goals. That description
changes as requirements change, but the temporary struc-
ture provides a shared understanding of what to expect
from each other. If someone moves to a different group or
a team shifts its priorities, each person can take on a com-
pletely different role according to the new requirements.
Valve is not averse to all organizational structure—it
crops up in many forms all the time, temporarily. But
problems show up when hierarchy or codified divisions of

```
labor either haven’t been created by the group’s members
or when those structures persist for long periods of time.
We believe those structures inevitably begin to serve their
own needs rather than those of Valve’s customers. The
hierarchy will begin to reinforce its own structure by hiring
people who fit its shape, adding people to fill subordinate
support roles. Its members are also incented to engage in
rent-seeking behaviors that take advantage of the power
structure rather than focusing on simply delivering value
to customers.
```
##### Hours

```
While people occasionally choose to push themselves to
work some extra hours at times when something big is
going out the door, for the most part working overtime for
extended periods indicates a fundamental failure in plan-
ning or communication. If this happens at Valve, it’s a sign
that something needs to be reevaluated and corrected. If
you’re looking around wondering why people aren’t in
“crunch mode,” the answer’s pretty simple. The thing we
work hardest at is hiring good people, so we want them to
stick around and have a good balance between work and
family and the rest of the important stuff in life.
If you find yourself working long hours, or just generally
feel like that balance is out of whack, be sure to raise the
(cont’d on page 19 )
```

#### A Timeline of Valve’s History

```
Valve is formed in Kirkland, WA,
by Gabe Newell and Mike Harrington.
```
```
1996
```
```
Formation papers are signed on the
same day as Gabe’s wedding.
Quake engine license is acquired
from id Software.
Production commences on the game
soon to be known as Half-Life (HL).
```
```
Production commences on Valve’s
second game, Prospero.
Valve recruits and hires two game
teams, including the first international
employee from the UK.
```
```
1997
```
```
Gabe promises that if HL becomes
the #1- selling game, the company
will take everyone on vacation.
After internal review, HL deemed
not good enough to ship.
```
(^) and essentially starts over. **_HL_** team returns to the drawing board
**_Prospero_** permanently shelved.

- 19 – HFNE:96:97::01 **VALVE**

```
step 1. Unplug cords from wall
step 2. Move your desk
step 3. Plug cords back into wall
step 4. Get back to work
```
### Fig. 2-2 Method to move your desk

```
1.
3.
```
```
2.
4.
```
**VALVE** METHOD DIAG. 1


```
1999 2000 2001
```
```
Valve establishes a pattern
of supporting the best
mods and occasionally
acquiring them.
```
```
Half-Life: Opposing Force
is released.
Expansion pack follows events in Black Mesa
from the viewpoint of an invading soldier.
```
```
Team Fortress Classic
is released.
```
```
Mike Harrington amicably
dissolves his partnership
with Gabe Newell, leaving
Newell as the sole head of
Valve Corporation.
```
```
Counter-Strike (CS)
is released.
```
```
Ricochet is released.
```
Robin Walker demonstrates to the mod community how (^)
a game can be created quickly and easily with
Valve’s SDK.
**_CS_** soon becomes the
world’s #1 premier online
action game.
**_Half-Life: Deathmatch
Classic_** is released.
**_Half-Life: Blue Shift_**
is released.
HFNE:99:00:01::03 **VALVE**
**_Half-Life: Day One_** OEM demo is released.
Following a certain Black Mesa Incident, the world is never the same again.
**_Half-Life_** is released.
Released as a demo bundled with the Voodoo Banshee graphics card, the OEM
release circulates far beyond its original intended audience. Valve realizes the level
of anticipation for the full game.
**1998**
TeamFortress Software Pty. Ltd. is acquired.
Creators of **_Team Fortress (TF)_** join Valve and commence work
on **_Team Fortress Classic_**.
Valve’s first company vacation to Cabo San Lucas, Mexico.
# of employees: **30**
# of children: **0
VALVE** HFNE:98::


```
Source engine is unveiled.
```
```
Counter-Strike: Source (CSS) is released.
Years of work on Valve’s new Source engine technology finally come to light.
```
```
Counter-Strike: Condition Zero
is released.
```
```
Half-Life 2 (HL2) is released.
The world’s first (legal) look at the Source engine, along with the game it powers: HL.
HL2 through Steam and in retail locations. appears as the first game available both
```
(^) **_HL2_** second Xbox title. also becomes Valve’s
**2004**
**_Half-Life: Source_** is released.
The original **_HL_** gets a visual upgrade.
HFNE:04::05 **VALVE**
Valve outgrows its original Kirkland
office space and moves to down-
town Bellevue, WA.
**2002**
Steam is announced at GDC.
Valve’s Steam offers to third parties its new suite of tools and services, which
it had originally built to service its own games like **_HL_** and **_CS_**.
**_Valve Anti-Cheat (VAC)_** is released.
In a field where rampant online cheating ruins the experience for many customers,
Valve aggressively addresses the issue.
**2003**
**_Half-Life 2 (HL2)_** source code
is stolen.
(^) steal and disperse the code base for A thief infiltrates Valve’s network to
the still-in-production **_HL_**.
Years of speculation regarding the Borealis and Kraken Base begin...
Steam is released.
**_Day of Defeat_** is released.
A popular mod gets full Valve support, becoming one of its stalwart products.
**_CS_** is released as Valve’s first Xbox title.
**VALVE** HFNE:02:03::


```
Steamworks is unveiled, making the
business and technical tools of the
Steam platform available to third-
party developers free of charge.
Steam hits over 20 million users
and over 500 games.
```
```
2008
```
```
TF2 gets major class updates for Medic,
Pyro, and Heavy characters.
These updates are delivered via Steam to all TF2 customers.
```
```
2009
```
```
Steam ships its first downloadable
content update for indie game
The Maw.
Steam Cloud is released, offering
seamless online storage of any file
types, including saved games,
configuration files, etc.
```
```
LEFT 4 DEAD 2
is released.
Presale numbers are the biggest yet for a
Valve game.
```
```
Steam hits over 25 million users
and over 1,000 games.
TF2 releases The Sniper vs Spy Update ,
followed by outright WAR!
```
(^) increase rapidly: more than 280 After this release, the **_TF2_** updates
have shipped in total.
**_TF2_** ships its first hat.
HFNE:08:09::07 **VALVE**
(^20052006) **_Left 4 Dead_** is released.
**2007**
First third-party games are
released on Steam.
A landmark in digital distribution, Steam
gives PC developers an alternative to retail
for their games.
**_Half-Life 2: Lost Coast_**
tech demo is released.
Supported by the first version of Valve’s popular
developer commentary.
**_Half-Life 2: Episode One_**
is released.
Valve’s first experiment in episodic storytelling.
**_Half-Life Deathmatch:
Source_** is released.
**_Team Fortress 2 (TF2)_** long-awaited sequel to the , the
classic multiplayer game.
**_Half Life 2: Episode Two_** raising the bar for emotional —
storytelling.
**_Portal_** an instant classic.—hailed worldwide as
**_The Orange Box_** is released
with two previously-released
titles and three new products:
**_Day of Defeat: Source_**
is released.
Valve hires six students
from DigiPen Institute of
Technology after seeing
their demo of the game,
_Narbacular Drop_.
Steam Community is released
with the first wave of features
designed to help friends
connect and socialize via
the Steam platform.
Steam reaches 15 million
active users, playing over
200 games.
**VALVE** HFNE:05:06:07::


```
In 2012, Valve heads to the
Big Island of Hawaii for its
10th company vacation.
# of employees: 293
# of children: 185
```
```
2010 2011 2012
```
```
Valve moves to a more
expansive location in
Bellevue, WA.
```
```
Valve announces that
Steam and Source will be
available for Macintosh.
```
```
Portal 2 debuts on multiple
platforms to critical acclaim.
```
```
Valve’s 44th international hire
clears immigration—this time
from Germany.
```
```
Q1: New employee handbook
rolls off press.
```
```
Valve announces Portal 2
is launching in 2011.
```
```
Valve begins development
of Dota 2.
```
```
Dota 2 premieres at
Gamescom in Cologne,
Germany, with the
first annual Dota 2
championship.
```
```
What’s next? You tell us...
```
**VALVE** HFNE:10:11:12::08 – 19 –

```
SETTLING IN
```
```
issue with whomever you feel would help. Dina loves to force
people to take vacations, so you can make her your first stop.
```
##### The office

```
Sometimes things around the office can seem a little too
good to be true. If you find yourself walking down the
hall one morning with a bowl of fresh fruit and Stump-
town-roasted espresso, dropping off your laundry to be
washed, and heading into one of the massage rooms, don’t
freak out. All these things are here for you to actually use.
And don’t worry that somebody’s going to judge you for
taking advantage of it—relax! And if you stop on the way
back from your massage to play darts or work out in the
Valve gym or whatever, it’s not a sign that this place is going
to come crumbling down like some 1999-era dot-com start-
up. If we ever institute caviar-catered lunches, though, then
maybe something’s wrong. Definitely panic if there’s caviar.
```

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 20 – – 21 –

```
SETTLING IN
```
```
Fig. 2-
```
## Risks

##### What if I screw up?

Nobody has ever been fired at Valve for making a mistake.
It wouldn’t make sense for us to operate that way. Providing
the freedom to fail is an important trait of the company—
we couldn’t expect so much of individuals if we also penal-
ized people for errors. Even expensive mistakes, or ones
which result in a very public failure, are genuinely looked at
as opportunities to learn. We can always repair the mistake
or make up for it.
Screwing up is a great way to find out that your assump-
tions were wrong or that your model of the world was a
little bit off. As long as you update your model and move
forward with a better picture, you’re doing it right. Look
for ways to test your beliefs. Never be afraid to run an ex-
periment or to collect more data.
It helps to make predictions and anticipate nasty out-
comes. Ask yourself “what would I expect to see if I’m
right?” Ask yourself “what would I expect to see if I’m
wrong?” Then ask yourself “what do I see?” If something
totally unexpected happens, try to figure out why.
There are still some bad ways to fail. Repeating the same
mistake over and over is one. Not listening to customers or
peers before or after a failure is another. Never ignore the
evidence; particularly when it says you’re wrong.


- 23 –

```
SETTLING IN
```
```
Fig. 2-
```
##### But what if we ALL screw up?

```
So if every employee is autonomously making his or
her own decisions, how is that not chaos? How does
Valve make sure that the company is heading in the
right direction? When everyone is sharing the steering
wheel, it seems natural to fear that one of us is going
to veer Valve’s car off the road.
Over time, we have learned that our collective ability
to meet challenges, take advantage of opportunity, and
respond to threats is far greater when the responsibility
for doing so is distributed as widely as possible. Namely,
to every individual at the company.
We are all stewards of our long-term relationship with
our customers. They watch us, sometimes very publicly,
```
### Fig. 2-4 Methods to find out what’s going on

```
step 1. Talk to someone in a meeting
step 2. Talk to someone in the elevator
step 3. Talk to someone in the kitchen
step 4. Talk to someone in the bathroom
```
```
1.
```
```
3.
```
```
2.
```
```
4.
```
**VALVE** METHOD DIAG. 2


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 24 –

## How Am I Doing?

# 3

make mistakes. Sometimes they get angry with us. But
because we always have their best interests at heart, there’s
faith that we’re going to make things better, and that if
we’ve screwed up today, it wasn’t because we were trying
to take advantage of anyone.


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 26 – – 27 –

```
HOW AM I DOING?
```
```
prescriptive, and designed to be put to use by the person
you’re talking about.
The feedback is then gathered, collated, anonymized,
and delivered to each reviewee. Making the feedback
anonymous definitely has pros and cons, but we think it’s
the best way to get the most useful information to each
person. There’s no reason to keep your feedback about
someone to yourself until peer review time if you’d like to
deliver it sooner. In fact, it’s much better if you do so often,
and outside the constraints of official peer reviews.
When delivering peer review feedback, it’s useful to keep
in mind the same categories used in stack ranking because
they concretely measure how valuable we think someone is.
```
##### Stack ranking (and compensation)

```
The other evaluation we do annually is to rank each other
against our peers. Unlike peer reviews, which generate
information for each individual, stack ranking is done in
order to gain insight into who’s providing the most value at
the company and to thereby adjust each person’s compen-
sation to be commensurate with his or her actual value.
Valve pays people very well compared to industry norms.
Our profitability per employee is higher than that of
Google or Amazon or Microsoft, and we believe strongly
that the right thing to do in that case is to put a maximum
```
## Your Peers and Your Performance

We have two formalized methods of evaluating each other:
peer reviews and stack ranking. Peer reviews are done in
order to give each other useful feedback on how to best
grow as individual contributors. Stack ranking is done
primarily as a method of adjusting compensation. Both
processes are driven by information gathered from each
other—your peers.

##### Peer reviews

We all need feedback about our performance—in order
to improve, and in order to know we’re not failing. Once
a year we all give each other feedback about our work.
Outside of these formalized peer reviews, the expectation
is that we’ll just pull feedback from those around us when-
ever we need to.
There is a framework for how we give this feedback to
each other. A set of people (the set changes each time)
interviews everyone in the whole company, asking who
each person has worked with since the last round of peer
reviews and how the experience of working with each
person was. The purpose of the feedback is to provide
people with information that will help them grow. That
means that the best quality feedback is directive and


- 29 –

```
HOW AM I DOING?
```
```
amount of money back into each employee’s pocket. Valve
does not win if you’re paid less than the value you create.
And people who work here ultimately don’t win if they get
paid more than the value they create.
So Valve’s goal is to get your compensation to be “cor-
rect.” We tend to be very flexible when new employees are
joining the company, listening to their salary requirements
and doing what we can for them. Over time, compensation
gets adjusted to fit an employee’s internal peer-driven valu-
ation. That’s what we mean by “correct”—paying someone
what they’re worth (as best we can tell using the opinions
of peers).
```
```
The removal of bias is of the utmost importance to Valve in
this process. We believe that our peers are the best judges
of our value as individuals. Our flat structure eliminates
some of the bias that would be present in a peer-ranking
system elsewhere. The design of our stack-ranking process
is meant to eliminate as much as possible of the remainder.
```
```
==================================================
```
```
==================================================
```
```
If you think your compensation isn’t right for the work you do, then
you should raise the issue. At Valve, these conversations are surprisingly
easy and straightforward. Adjustments to compensation usually occur
within the process described here. But talking about it is always the
right thing if there’s any issue. Fretting about your level of compensa-
tion without any outside information about how it got set is expensive
for you and for Valve.
```
### Fig. 3-1 Method to working without a boss

```
step 1. Come up with a bright idea
step 2. Tell a coworker about it
step 3. Work on it together
step 4. Ship it!
```
```
1.
```
```
3.
```
```
2.
```
```
4.
```
**VALVE** METHOD DIAG. 3


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 30 – Fig. 3-2

Each project/product group is asked to rank its own
members. (People are not asked to rank themselves, so we
split groups into parts, and then each part ranks people
other than themselves.) The ranking itself is based on the
following four metrics:

**1. Skill Level/Technical Ability**
How difficult and valuable are the kinds of problems
you solve? How important/critical of a problem can you
be given? Are you uniquely capable (in the company?
industry?) of solving a certain class of problem, deliver-
ing a certain type of art asset, contributing to design,
writing, or music, etc.?
**2. Productivity/Output**
How much shippable (not necessarily shipped to outside
customers), valuable, finished work did you get done?
Working a lot of hours is generally not related to produc-
tivity and, after a certain point, indicates inefficiency.
It is more valuable if you are able to maintain a sensible
work/life balance and use your time in the office effi-
ciently, rather than working around the clock.


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 32 – – 33 –

```
HOW AM I DOING?
```
```
By choosing these categories and basing the stack ranking
on them, the company is explicitly stating, “This is what
is valuable.” We think that these categories offer a broad
range of ways you can contribute value to the company.
Once the intra-group ranking is done, the information
gets pooled to be company-wide. We won’t go into that
methodology here. There is a wiki page about peer feedback
and stack ranking with some more detail on each process.
```
**3. Group Contribution**
How much do you contribute to studio process, hiring,
integrating people into the team, improving workflow,
amplifying your colleagues, or writing tools used by
others? Generally, being a group contributor means
that you are making a tradeoff versus an individual
contribution. Stepping up and acting in a leadership
role can be good for your group contribution score,
but being a leader does not impart or guarantee a
higher stack rank. It is just a role that people adopt
from time to time.
**4. Product Contribution**
How much do you contribute at a larger scope than your
core skill? How much of your work matters to the prod-
uct? How much did you influence correct prioritization
of work or resource trade-offs by others? Are you good
at predicting how customers are going to react to deci-
sions we’re making? Things like being a good playtester
or bug finder during the shipping cycle would fall into
this category.


## Choose Your

## Own Adventure

# 4

```
step 1. Find someone to watch your cats
step 2. Board our chartered flight
step 3. Relax by the pool
step 4. Relax by the pool some more
```
### Fig. 3-3 Method to taking the company trip

```
1.
3.
```
```
2.
4.
```
**VALVE** METHOD DIAG. 4


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 36 – – 37 –

```
CHOOSE YOUR OWN ADVENTURE
```
```
who interact with others outside the company call them-
selves by various titles because doing so makes it easier to
get their jobs done.
Inside the company, though, we all take on the role that
suits the work in front of us. Everyone is a designer. Every-
one can question each other’s work. Anyone can recruit
someone onto his or her project. Everyone has to function
as a “strategist,” which really means figuring out how to do
what’s right for our customers. We all engage in analysis,
measurement, predictions, evaluations.
One outward expression of these ideals is the list of
credits that we put in our games—it’s simply a long list of
names, sorted alphabetically. That’s it. This was intentional
when we shipped Half-Life , and we’re proud to continue
the tradition today.
```
##### Advancement vs. growth

```
Because Valve doesn’t have a traditional hierarchical
structure, it can be confusing to figure out how Valve fits
into your career plans. “Before Valve, I was an assistant
technical second animation director in Hollywood. I had
planned to be a director in five years. How am I supposed
to keep moving forward here?”
Working at Valve provides an opportunity for extremely
efficient and, in many cases, very accelerated, career
```
Fig. 4-1

## Your First Six Months

You’ve solved the nuts-and-bolts issues. Now you’re moving
beyond wanting to just be productive day to day —you’re
ready to help shape your future, and Valve’s. Your own
professional development and Valve’s growth are both now
under your control. Here are some thoughts on steering
both toward success.

##### Roles

By now it’s obvious that roles at Valve are fluid. Tradition-
ally at Valve, nobody has an actual title. This is by design, to
remove organizational constraints. Instead we have things
we call ourselves, for convenience. In particular, people


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 38 – – 39 –

```
CHOOSE YOUR OWN ADVENTURE
```
```
Most people who fit well at Valve will be better-
positioned after their time spent here than they could
have been if they’d spent their time pretty much
anywhere else.
```
##### Putting more tools in your toolbox

```
The most successful people at Valve are both (1) highly
skilled at a broad set of things and (2) world-class experts
within a more narrow discipline. (See “T-shaped” people on
page 46.) Because of the talent diversity here at Valve, it’s
often easier to become stronger at things that aren’t your
core skill set.
```
##### Engineers: code is only the beginning

```
If you were hired as a software engineer, you’re now sur-
rounded by a multidisciplinary group of experts in all kinds
of fields—creative, legal, financial, even psychological.
Many of these people are probably sitting in the same room
as you every day, so the opportunities for learning are huge.
Take advantage of this fact whenever possible: the more
you can learn about the mechanics, vocabulary, and analysis
within other disciplines, the more valuable you become.
```
##### Non-Engineers: program or be programmed

```
Valve’s core competency is making software. Obviously,
```
growth. In particular, it provides an opportunity to broaden
one’s skill set well outside of the narrow constraints that
careers can have at most other companies.
So the “growth ladder” is tailored to you. It operates
exactly as fast as you can manage to grow. You’re in charge

of your track, and you can elicit help with it anytime from
those around you. F Y I , we usually don’t do any formalized
employee “development” (course work, mentor assign-
ment), because for senior people it’s mostly not effective.
We believe that high-performance people are generally
self-improving.

```
Fig. 4-2
```

## Valve Is Growing

# 5

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 40 –

different disciplines are part of making our products, but
we’re still an engineering-centric company. That’s
because the core of the software-building process is
engineering. As in, writing code. If your expertise is
not in writing code, then every bit of energy you put
into understanding the code-writing part of making
software is to your (and Valve’s) benefit. You don’t
need to become an engineer, and there’s nothing
that says an engineer is more valuable than you. But
broadening your awareness in a highly technical
direction is never a bad thing. It’ll either increase
the quality or quantity of bits you can put “into boxes,”
which means affecting customers more, which means
you’re valuable.


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 42 – – 43 –

```
VALVE IS GROWING
```
```
We do not have a growth goal. We intend to continue
hiring the best people as fast as we can, and to continue
scaling up our business as fast as we can, given our existing
staff. Fortunately, we don’t have to make growth decisions
based on any external pressures—only our own business
goals. And we’re always free to temper those goals with the
long-term vision for our success as a company. Ultimately,
we win by keeping the hiring bar very high.
```
##### Hiring

```
Fig. 5-1
```
## Your Most Important Role

Concepts discussed in this book sound like they might work
well at a tiny start-up, but not at a hundreds-of-people-plus-
billions-in-revenue company. The big question is: Does all
this stuff scale?
Well, so far, yes. And we believe that if we’re careful, it
will work better and better the larger we get. This might
seem counterintuitive, but it’s a direct consequence of
hiring great, accomplished, capable people. Getting this
to work right is a tricky proposition, though, and depends
highly on our continued vigilance in recruiting/hiring.
If we start adding people to the company who aren’t as
capable as we are at operating as high-powered, self-
directed, senior decision makers, then lots of the stuff
discussed in this book will stop working.
One thing that’s changing as we grow is that we’re not
great at disseminating information to everyone anymore
_(see “What is Valve_ not _good at?,” on page 52)_.
On the positive side, our profitability per employee is
going up, so by that measure, we’re certainly scaling correctly.
Our rate of hiring growth hovered between 10 and 15
percent per year, for years. In 2010, we sped up, but only to
about 20 percent per year. 2011 kept up this new pace,
largely due to a wave of hiring in Support.


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 44 – – 45 –

```
VALVE IS GROWING
```
```
adding a great person can create value across the whole
company. Missing out on hiring that great person is likely
the most expensive kind of mistake we can make.
Usually, it’s immediately obvious whether or not we’ve
done a great job hiring someone. However, we don’t have
the usual checks and balances that come with having
managers, so occasionally it can take a while to understand
whether a new person is fitting in. This is one downside of
the organic design of the company—a poor hiring decision
can cause lots of damage, and can sometimes go unchecked
for too long. Ultimately, people who cause damage always
get weeded out, but the harm they do can still be significant.
```
##### How do we choose the right people to hire?

```
An exhaustive how-to on hiring would be a handbook of
its own. Probably one worth writing. It’d be tough for us to
capture because we feel like we’re constantly learning really
important things about how we hire people. In the mean-
time, here are some questions we always ask ourselves when
evaluating candidates:
```
- Would I want this person to be my boss?
- Would I learn a significant amount from him or her?
- What if this person went to work for our competition?
Across the board, we value highly collaborative people.
That means people who are skilled in all the things that are

```
Hiring well is the most important thing in the universe.
Nothing else comes close. It’s more important than breath-
ing. So when you’re working on hiring—participating in
an interview loop or innovating in the general area of
recruiting—everything else you could be doing is stupid
and should be ignored!
When you’re new to Valve, it’s super valuable to start
being involved in the interview process. Ride shotgun with
people who’ve been doing it a long time. In some ways, our
interview process is similar to those of other companies,
but we have our own take on the process that requires
practice to learn. We won’t go into all the nuts and bolts in
this book—ask others for details, and start being included
in interview loops.
```
##### Why is hiring well so important at Valve?

```
At Valve, adding individuals to the organization can influ-
ence our success far more than it does at other companies
—either in a positive or negative direction. Since there’s
no organizational compartmentalization of people here,
```
**Bring your friends.** One of the most valuable things you can do as a
new employee is tell us who else you think we should hire. Assuming
that you agree with us that Valve is the best place to work on Earth,
then tell us about who the best people are on Earth, so we can bring
them here. If you don’t agree yet, then wait six months and ask
yourself this question again.
==================================================

==================================================


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 46 – – 47 –

```
VALVE IS GROWING
```
```
We’re looking for people stronger than ourselves.
When unchecked, people have a tendency to hire others
who are lower-powered than themselves. The questions
listed above are designed to help ensure that we don’t
start hiring people who are useful but not as powerful
as we are. We should hire people more capable than
ourselves, not less.
In some ways, hiring lower-powered people is a natural
response to having so much work to get done. In these
conditions, hiring someone who is at least capable seems
(in the short term) to be smarter than not hiring anyone at
all. But that’s actually a huge mistake. We can always bring
```
```
Fig. 5-2
```
integral to high-bandwidth collaboration—people who can
deconstruct problems on the fly, and talk to others as they
do so, simultaneously being inventive, iterative, creative,
talkative, and reactive. These things actually matter far more
than deep domain-specific knowledge or highly developed
skills in narrow areas. This is why we’ll often pass on candi-
dates who, narrowly defined, are the “best” at their chosen
discipline.
Of course it’s not quite enough to say that a candidate
should collaborate well—we also refer to the same four
metrics that we rely on when evaluating each other to evalu-
ate potential employees _(See “Stack ranking,” on page 27)_.

**We value “T-shaped” people.**
That is, people who are both generalists (highly skilled at
a broad set of valuable things—the top of the T) and also
experts (among the best in their field within a narrow disci-
pline—the vertical leg of the T).
This recipe is important for success at Valve. We often
have to pass on people who are very strong generalists with-
out expertise, or vice versa. An expert who is too narrow has
difficulty collaborating. A generalist who doesn’t go deep
enough in a single area ends up on the margins, not really
contributing as an individual.


- 48 – – 49 –

```
VALVE IS GROWING
```
```
Q: If all this stuff has worked well for us, why doesn’t every company
work this way?
A: Well, it’s really hard. Mainly because, from day one, it requires a
commitment to hiring in a way that’s very different from the way most
companies hire. It also requires the discipline to make the design of
the company more important than any one short-term business goal.
And it requires a great deal of freedom from outside pressure—being
self-funded was key. And having a founder who was confident enough
to build this kind of place is rare, indeed.
Another reason that it’s hard to run a company this way is that it
requires vigilance. It’s a one-way trip if the core values change, and
maintaining them requires the full commitment of everyone—
especially those who’ve been here the longest. For “senior” people
at most companies, accumulating more power and/or money over
time happens by adopting a more hierarchical culture.
```
```
==================================================
```
```
==================================================
```
on temporary/contract help to get us through tough spots,
but we should never lower the hiring bar. The other reason
people start to hire “downhill” is a political one. At most
organizations, it’s beneficial to have an army of people
doing your bidding. At Valve, though, it’s not. You’d
damage the company and saddle yourself with a broken
organization. Good times!

**Hiring is fundamentally the same across all disciplines.**
There are not different sets of rules or criteria for engi-
neers, artists, animators, and accountants. Some details are
different—like, artists and writers show us some of their
work before coming in for an interview. But the actual
interview process is fundamentally the same no matter who
we’re talking to.
“With the bar this high, would I be hired today?” That’s
a good question. The answer might be no, but that’s actu-
ally awesome for us, and we should all celebrate if it’s true
because it means we’re growing correctly. As long as you’re
continuing to be valuable and having fun, it’s a moot
point, really.

```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```

## Epilogue

# 6


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 52 – – 53 –

```
EPILOGUE
```
## What Happens When All This Stuff

## Doesn’t Work?

```
Sometimes, the philosophy and methods outlined in this
book don’t match perfectly with how things are going day
to day. But we’re confident that even when problems persist
for a while, Valve roots them out.
As you see it, are there areas of the company in which
the ideals in this book are realized more fully than others?
What should we do about that? Are those differences a
good thing? What would you change? This handbook
describes the goals we believe in. If you find yourself in
a group or project that you feel isn’t meeting these goals,
be an agent of change. Help bring the group around.
Talk about these goals with the team and/or others.
```
## What Is Valve Not Good At?

The design of the company has some downsides. We usu-
ally think they’re worth the cost, but it’s worth noting that
there are a number of things we wish we were better at:

- Helping new people find their way. We wrote this
book to help, but as we said above, a book can only
go so far.
- Mentoring people. Not just helping new people figure
things out, but proactively helping people to grow
in areas where they need help is something we’re
organizationally not great at. Peer reviews help, but
they can only go so far.
- Disseminating information internally.
- Finding and hiring people in completely new
disciplines (e.g., economists! industrial designers!).
- Making predictions longer than a few months out.
- We miss out on hiring talented people who prefer to
work within a more traditional structure. Again, this
comes with the territory and isn’t something we should
change, but it’s worth recognizing as a self-imposed
limitation.


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 54 – – 55 –

### Glossary

```
Jargon. Lingo. Code words.
14-Year-Old Boy —If you see one running your project, don’t worry. That’s
actually 57-year-old Josh Weier (see Josh Weier). If you have any extra stem
cells, give them to him! He bathes in them daily.
Australia —A place that’s either very near or is New Zealand where more
than half of Valve’s employees were born.
City of Seattle —Where Valve’s founders promised we’d locate our office
before pulling a massive bait and switch to the Eastside (see also Greg Coomer).
Coffee Machine, Right-hand Dispenser —The dispenser in all coffee
machines at Valve that holds the decaffeinated coffee beans. To the best of
our knowledge, these have never needed to be refilled. For all we know, the
beans are decorative plastic.
Company Vacation —Every year, the company gathers all the employees and
our families, flies us somewhere tropical, and gives us a free weeklong
vacation. Popular pastimes include beard contests, snorkeling, ice cream
socials, jet skiing, or just sitting on the beach chatting with the locals about
how many googly-eyed seashells you should buy from them. (Your feeling:
none. Their counteroffer: Just buy five then.)
Empty Shelf on Fifth Floor —Place we’re planning on putting all those
awards for Ricochet once the gaming world finally catches up with it.
Fishbowl— The conference room by the lunchroom. The one with a big
glass wall. Don’t let the name throw you—we don’t actually use it as a
fishbowl! Except, of course, on Fishbowl Fridays, where we fill it up with ten
thousand gallons of putrid saltwater so that all the manta rays and sharks
will have something to breathe while they fight to the death. You won’t see
it in your list of benefits, not because it isn’t fun, but because it is illegal.
Freight Elevator — (See “Method to move your desk,” on page 18.)
Gabe Newell —Of all the people at this company who aren’t your boss,
Gabe is the MOST not your boss, if you get what we’re saying.
```
## Where Will You Take Us?

Valve will be a different company a few years from now
because you are going to change it for the better. We can’t
wait to see where you take us. The products, features, and
experiences that you decide to create for customers are
the things that will define us.
Whether it’s a new game, a feature in Steam, a way to
save customers money, a painting that teaches us what’s
beautiful, something that protects us from legal threats,
a new typeface, an idea for how to be healthier while we
work, a new hat-making tool for _TF2_ , a spectacular ani-
mation, a new kind of test that lets us be smarter, a game
controller that can tell whether you’re scared or a toy that
makes four-year-olds laugh, or (more likely) something
nobody’s thought of yet—we can’t wait to see what kind
of future you choose to build at Valve.


```
VALVE: HANDBOOK FOR NEW EMPLOYEES
```
- 56 –

**Greg Coomer** —The only person who cares or remembers that somebody
once might have said we’d move to Seattle.
**Knives** —That which one can never own enough of. A vast collection of
them is in no way a Freudian compensation.
**Manager** —The kind of people we don’t have any of. So if you see one, tell
somebody, because it’s probably the ghost of whoever was in this building
before us. Whatever you do, don’t let him give you a presentation on
paradigms in spectral proactivity.
**Mann Co.** —Maker of square, unsafe products for men that occasionally
catch on fire, and more occasionally, work as advertised. Owned and
operated by Saxton Hale _(see Australia)_.
**Parking Garage Elevators** —Autonomous hostage-taking devices with a will
of their own. Beware.
**Playtesting** —What we do early and often. And loudly, if Karen is the tester.
**Ponies** —The animals most beloved by those away from their computers,
and most despised by people who prefer to hear jokes just once.
**Scorpions, Poison, Queen** —Repeated exposure to our bathrooms’ Pavlov-
ian rock block soundtrack will ensure that you’ll never be able to relieve
yourself again unless someone hums “Rock You like a Hurricane.”
**Shitty Wizard** —Person responsible for all _Dota 2_ bugs. _Aka_ Finol.
**Talk Alias** —Marc Laidlaw’s internal blog.
**(Un)weighted Companion Pillow** —The thing Erik Wolpaw carries around
with him and covers his mouth with after others have sat on it.
**Valve Activities** —You will learn to love blacksmithing.
**Josh Weier** —Variously pronounced “Josh Weere,” “Josh Wire,” “Josh
Woe-Rue,” “Josh wuhh...[trailing off],” and “Josh Joshington” by those of us
who stopped caring. They’re all equally valid!
**WFH** —Working From Home. What to do if a single snowflake falls out of
the sky.



