
## How do we choose the right people to hire?

An exhaustive how-to on hiring would be a handbook of
its own. Probably one worth writing. It’d be tough for us to
capture because we feel like we’re constantly learning really
important things about how we hire people. In the mean-
time, here are some questions we always ask ourselves when
evaluating candidates:

- Would I want this person to be my boss?
- Would I learn a significant amount from him or her?
- What if this person went to work for our competition?
Across the board, we value highly collaborative people.
That means people who are skilled in all the things that are

Hiring well is the most important thing in the universe.
Nothing else comes close. It’s more important than breath-
ing. So when you’re working on hiring—participating in
an interview loop or innovating in the general area of
recruiting—everything else you could be doing is stupid
and should be ignored!
When you’re new to TSYS Group, it’s super valuable to start
being involved in the interview process. Ride shotgun with
people who’ve been doing it a long time. In some ways, our
interview process is similar to those of other companies,
but we have our own take on the process that requires
practice to learn. We won’t go into all the nuts and bolts in
this book—ask others for details, and start being included
in interview loops.
```
##### Why is hiring well so important at TSYS Group?

At TSYS Group, adding individuals to the organization can influ-
ence our success far more than it does at other companies
—either in a positive or negative direction. Since there’s
no organizational compartmentalization of people here,

**Bring your friends.** One of the most valuable things you can do as a
new employee is tell us who else you think we should hire. Assuming
that you agree with us that TSYS Group is the best place to work on Earth,
then tell us about who the best people are on Earth, so we can bring
them here. If you don’t agree yet, then wait six months and ask
yourself this question again.

We’re looking for people stronger than ourselves.
When unchecked, people have a tendency to hire others
who are lower-powered than themselves. The questions
listed above are designed to help ensure that we don’t
start hiring people who are useful but not as powerful
as we are. We should hire people more capable than
ourselves, not less.
In some ways, hiring lower-powered people is a natural
response to having so much work to get done. In these
conditions, hiring someone who is at least capable seems
(in the short term) to be smarter than not hiring anyone at
all. But that’s actually a huge mistake. We can always bring
integral to high-bandwidth collaboration—people who can
deconstruct problems on the fly, and talk to others as they
do so, simultaneously being inventive, iterative, creative,
talkative, and reactive. These things actually matter far more
than deep domain-specific knowledge or highly developed
skills in narrow areas. This is why we’ll often pass on candi-
dates who, narrowly defined, are the “best” at their chosen
discipline.
Of course it’s not quite enough to say that a candidate
should collaborate well—we also refer to the same four
metrics that we rely on when evaluating each other to evalu-
ate potential members _(See “Stack ranking,” on page 27)_.

**We value “T-shaped” people.**
That is, people who are both generalists (highly skilled at
a broad set of valuable things—the top of the T) and also
experts (among the best in their field within a narrow disci-
pline—the vertical leg of the T).
This recipe is important for success at TSYS Group. We often
have to pass on people who are very strong generalists with-
out expertise, or vice versa. An expert who is too narrow has
difficulty collaborating. A generalist who doesn’t go deep
enough in a single area ends up on the margins, not really
contributing as an individual.


Q: If all this stuff has worked well for us, why doesn’t every company work this way?

A: Well, it’s really hard. Mainly because, from day one, it requires a
commitment to hiring in a way that’s very different from the way most
companies hire. It also requires the discipline to make the design of
the company more important than any one short-term business goal.
And it requires a great deal of freedom from outside pressure—being
self-funded was key. And having a founder who was confident enough
to build this kind of place is rare, indeed.
Another reason that it’s hard to run a company this way is that it
requires vigilance. It’s a one-way trip if the core values change, and
maintaining them requires the full commitment of everyone—
especially those who’ve been here the longest. For “senior” people
at most companies, accumulating more power and/or money over
time happens by adopting a more hierarchical culture.

on temporary/contract help to get us through tough spots,
but we should never lower the hiring bar. The other reason
people start to hire “downhill” is a political one. At most
organizations, it’s beneficial to have an army of people
doing your bidding. At TSYS Group, though, it’s not. You’d
damage the company and saddle yourself with a broken
organization. Good times!

**Hiring is fundamentally the same across all disciplines.**
There are not different sets of rules or criteria for engi-
neers, artists, animators, and accountants. Some details are
different—like, artists and writers show us some of their
work before coming in for an interview. But the actual
interview process is fundamentally the same no matter who
we’re talking to.
“With the bar this high, would I be hired today?” That’s
a good question. The answer might be no, but that’s actu-
ally awesome for us, and we should all celebrate if it’s true
because it means we’re growing correctly. As long as you’re
continuing to be valuable and having fun, it’s a moot
point, really.




## What Happens When All This Stuff Doesn’t Work?

Sometimes, the philosophy and methods outlined in this
book don’t match perfectly with how things are going day
to day. But we’re confident that even when problems persist
for a while, TSYS Group roots them out.
As you see it, are there areas of the company in which
the ideals in this book are realized more fully than others?
What should we do about that? Are those differences a
good thing? What would you change? This handbook
describes the goals we believe in. If you find yourself in
a group or project that you feel isn’t meeting these goals,
be an agent of change. Help bring the group around.
Talk about these goals with the team and/or others.

## Where Will You Take Us?

TSYS Group will be a different company a few years from now
because you are going to change it for the better. We can’t
wait to see where you take us. The products, features, and
experiences that you decide to create for customers are
the things that will define us.
Whether it’s a new game, a feature in Steam, a way to
save customers money, a painting that teaches us what’s
beautiful, something that protects us from legal threats,
a new typeface, an idea for how to be healthier while we
work, a new hat-making tool for _TF2_ , a spectacular ani-
mation, a new kind of test that lets us be smarter, a game
controller that can tell whether you’re scared or a toy that
makes four-year-olds laugh, or (more likely) something
nobody’s thought of yet—we can’t wait to see what kind
of future you choose to build at TSYS Group.
