---
title: Onboarding
sidebar: Handbook
showTitle: true
---

As a remote organisation, doing a great job of welcoming a new member of the PostHog team is really important. You may find that you need to invest extra time and effort into onboarding someone than you might at a company where everyone is physically located together. 

We have members working all around the world, so their onboarding process may look a little different depending on where they are based and what type of contract they are on. We either bring on new people as an employee or contractor (with equivalent terms and benefits as an employee) dependent on the jurisdiction.

If you have any questions on any of this stuff, ask Charles, James or Tim. 

The best way to run through this checklist is to copy the relevant sections below into an onboarding issue on the [Ops Roadmap](https://github.com/orgs/PostHog/projects/2) in GitHub.

## Upon Offer Acceptance

Eltje or Charles will create the contract needed, depending on who is joining. Only James and Tim are allowed to sign on behalf of the company.  

### US Team Member Checklist

<input type="checkbox"/>  Create a contract using the [Google Docs template](https://docs.google.com/document/d/15cdfWfGj5OWBpVST6VcMwb5TP5qLVPQd9SGWKSnB9bc/edit?usp=sharing) in the Legal Docs shared drive <br />
<input type="checkbox"/>  If we are employing someone in a new state for the first time, check the tax filing requirements on Gusto as soon as possible, as there can be a long lead time <br />

### UK Team Member Checklist

<input type="checkbox"/>  Create a contract using the Google Docs templates for [CIIA](https://docs.google.com/document/d/1r7Xc1ALf-JKUrL3g_oyzaQ8H3SOuVchBpJrGp7TINdc/edit?usp=sharing) and [Offer Letter](https://docs.google.com/document/d/1ZzF5hbVmTmKIYKxW7JkXzrBFFNrztkcNvcdO643r6sY/edit?usp=sharing) in the Legal Docs shared drive <br />
<input type="checkbox"/>  Email Parallel to add them to our pension scheme <br />

### Non-US nor UK Team Member Checklist

<input type="checkbox"/>  Use [Deel](https://letsdeel.com) to set up as a contractor. Choose 'Create a contract' and select fixed. Follow the instructions. This contract will cover pay, notice period, confidentiality and IP assignment. <br />
<input type="checkbox"/>  Choose the last day of the month to make payments for ongoing work, else choose something appropriate for a short term contract <br />
<input type="checkbox"/>  Select a notice period of 30 days <br />
<input type="checkbox"/>  Select for the contractor to upload necessary compliance documents <br />
<input type="checkbox"/>  Select for the contractor to be potentially allocated equity in the future (if this has been agreed) <br />
<input type="checkbox"/>  Under 'Other Specifics' add the following as a special clause: _Contractor agrees to comply with any rules, policies and procedures set out in the Company Handbook, a copy of which is available on the Client's website. To the extent that there is any conflict between the terms of this Agreement and the Company Handbook, the terms which are more favorable to the Contractor shall prevail._ <br />

## The Week Before They Join

Eltje and the new team member's manager will mostly do this.

<input type="checkbox"/> Add the team member to [CharlieHR](https://posthog.charliehr.com/) and ask them to fill in all details, upload relevant docs (e.g. passport scan). Once they are on, manually change their profile so their holiday requests are auto-approved. <br />
<input type="checkbox"/>  (UK only) Send a copy of their HMRC new starter form on CharlieHR to DRG, and include their salary and if they are full or part time <br />
<input type="checkbox"/>  (UK only) Ask if they want to be part of our [private healthcare](/handbook/people/benefits#private-health-insurance) and if they want to contribute our [pensions](/handbook/people/benefits#pension-and-401k-contributions) <br />
<input type="checkbox"/>  Send team member a copy of this page so they can check everything has been done <br />
<input type="checkbox"/>  (US only) Add the team member to [Gusto](https://app.gusto.com) <br />
<input type="checkbox"/>  (UK only) Send the team member the HMRC new starter form, pass it on to DRG once signed for payroll <br />
<input type="checkbox"/>  Create GSuite account for the team member <br />
<input type="checkbox"/>  Add team member to 1password <br />
<input type="checkbox"/>  Check that the team member is invited to the daily standups and any other regular meetings (e.g. retros, life stories) <br /> 
<input type="checkbox"/>  Send team member a link to the [Handbook](/handbook) <br />
<input type="checkbox"/>  Send team member a digital company card <br />
<input type="checkbox"/>  Team member to purchase any necessary equipment as per the [spending money](/handbook/people/spending-money) guidelines <br />
<input type="checkbox"/>  Ask Charles to give them $100 credit to spend on Shopify <br />
<input type="checkbox"/>  Share the [Important Company Details](https://docs.google.com/spreadsheets/d/1k4o4VN5VSsgFZpVYrN28Ib0z_pCJFTJyQdfkZEHhOV0/edit?usp=sharing) sheet with them <br />
<input type="checkbox"/>  Add team member to the PostHog app <br />
<input type="checkbox"/>  Send them an invite to [Drata](https://app.drata.com) to do security onboarding and their background check <br />
<input type="checkbox"/>  Add the team member's details to our hiring plan in Pry <br />
<input type="checkbox"/>  Add the team member's share options to Captable.io (if relevant) <br />

## On Their First Day

<input type="checkbox"/>  Manager to book a weekly 1:1 with the team member <br />
<input type="checkbox"/> (UK only) Schedule a [right to work](https://www.gov.uk/guidance/coronavirus-covid-19-right-to-work-checks) check with Eltje 
<input type="checkbox"/>  Send them these instructions on adding the [team time off cal](https://intercom.help/charliehr/en/articles/839648-importing-your-time-off-calendar-to-google-calendar) to their Gcal <br />
<input type="checkbox"/>  For the first week or so, book extra sessions as appropriate to provide extra help <br />
<input type="checkbox"/>  Add team member to any relevant Google Groups <br />
<input type="checkbox"/>  Add team member to the internal company Slack (and give them a warm welcome!) <br />
<input type="checkbox"/>  Also add them to the virtual-coffee and standup channels on Slack <br />
<input type="checkbox"/>  Add team member to PostHog Users Slack <br />
<input type="checkbox"/>  Add team member to PostHog organization in GitHub <br />
<input type="checkbox"/>  Share user interview notes with them, found in [this doc](https://docs.google.com/document/d/1762fbEbFOVZUr24jQ3pFFj91ViY72TWrTgD-JxRJ5Tc/edit). If the person is particularly interested in more historical context, here are the notes from [Q4-2020](https://docs.google.com/document/d/1gJlsUDrlW7ur8zT5scqRvXZhapm_0JdvKGiw68Iyx9E/edit), and [Q3-2020](https://docs.google.com/document/d/1vrwn-owF320otkm3oODCFjvqj7gptF6QaFFO6v-_RhY/edit). <br />
<input type="checkbox"> Team member should add themselves to the [customer interviews calendar](https://calendar.google.com/calendar/?cid=Y19tczllaWN1Ym92ZGgxYWhzNmtoY2xpNTQ3b0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t). 

> Not a hard requirement by any means, but we highly recommended that you join a feedback call and/or product demo in your first weeks. It provides great context on our users.

### Additional Access

Add these if appropriate for the role:

#### Engineering

<input type="checkbox"/>  'Team' group in AWS <br />
<input type="checkbox"/>  PagerDuty and into on-call rotation - make sure the alerts work <br />
<input type="checkbox"/>  Papercups for customer support <br />
<input type="checkbox"/>  Heroku <br />
<input type="checkbox"/>  Add team member to Grafana, Sentry, and ask yourself if there are any other dev tools in use that the team member needs access to (then update this list) <br />

#### Ops

<input type="checkbox"/>  Workable if they are involved in recruitment <br />
<input type="checkbox"/>  Google Voice - an admin will need to issue them a licence, add the company address and assign them a number, then invite <br />
<input type="checkbox"/>  Any relevant job boards we advertise on <br />
<input type="checkbox"/>  Gusto, Deel and/or CharlieHR admin access if they are involved in people ops <br />
<input type="checkbox"/>  Hubspot if they are involved in customer-facing roles (e.g. sales, user interviews) <br />
<input type="checkbox"/>  Any relevant banking or accounting software (very unlikely) <br />

## PostHog buddy

Starting a new job is really exciting, but it can also be a little bit overwhelming. To make your first few weeks a bit easier, we started a buddy system. 
The buddy can help with any questions that pop up and with socializing during the first couple of weeks at PostHog. Of course, everyone is available to help, but it’s nice to have a dedicated person to help. 

We will pair people in similar time zones to make sure you get the most out of each other. The goal is to have a catch up at least once a week during the first few weeks, including time to chat about non-work topics.

## Tools we use

We use a number of different tools to organise our work and communicate at PostHog. Below is a summary list of the most important ones - this list is not intended to be exhaustive

### Everyone
- Google Suite - Gmail, Google Apps such as Docs, Sheets, Slides 
- GitHub - most comms and product work
- Slack - we have an internal workspace and a users Slack as well
- Brex (US) or Revolut (UK) - company cards and expenses tracking
- Shopify - powers our merch store
- CharlieHR - holiday tracking, personal details

### Engineering
- AWS
- Pagerduty
- Heroku
- Grafana
- Sentry

### Design
- Figma - our main design tool

### Ops
- HubSpot - for managing all sales
- Papercups - our support platform
- Pry - financial modelling
- Captable.io - cap table management
- Fondo - US accounting
- Xero - UK accounting
- Calendly - external meeting scheduling (e.g. demos, sales)
- Gusto - US payroll
- Deel - international payroll and contracts
- Workable - recruitment tool

## Signatories

James and Tim at this time are the only people able to sign legal paperwork on behalf of the company.
