---
title: Team Extensibility
sidebar: Handbook
showTitle: true
hideAnchor: true
---

## People

- [Marius Andra (Team lead, Full Stack Engineer)](/handbook/company/team/#marius-andra-software-engineer)
- [Michael Matloka (Full Stack Engineer)](/handbook/company/team/#michael-matloka-software-engineer)
- [Yakko Majuri (DevRel + Full Stack Engineer)](/handbook/company/team/#yakko-majuri-technical-writer-and-developer)

## Mission

Team Extensibility's job is to turn PostHog into a platform that everyone can integrate with.
In essence, we enable users to:
- get data _into_ PostHog
- get data _out of_ PostHog
- extend PostHog itself according to their needs

## Responsibilities

Team Extensibility is particularly responsible for:
- the plugin server
- the data ingestion pipeline
- PostHog integrations with all sorts of platforms (JS, Go, iOS, Zapier, Segment, etc.)
- the user experience of extensibility features in PostHog (e.g. plugins, webhooks)

## Priorities

1. Making sure there are no cracks in the walls and that we always keep in mind safety, security, and data 
  integrity of our systems. We code defensively, prefer allowlists to denylists, and so on.
2. A fabulous user experience. Connecting things to PostHog either via plugins or integrations
  should spark joy.

## Customer

- Plugin developers, contributors to extensibility
- Plugin users (and in extension, all PostHog app users – who we'd love to make use of plugins)
- Integration users

## Output metric

- Number of plugins installed and/or in active use
- Used plugin-seconds on cloud, breakdown by team (for billing)
- Number of integrations and their usage

[Dashboard](https://app.posthog.com/dashboard/1865)

## Meetings

- Sync: Monday, 9:00 UTC
- Sync: Wednesday, 15:00 UTC
- Internal release planning: Friday every other week

## Slack channel

[#team-extensibility](https://posthog.slack.com/messages/team-extensibility)
