# TSYS Group Handbook

- [Preface](./culture/Preface.md)
- [How to use this book](./culture/HowToUseThisBook.md)
- [FAQ](./FAQ.md)

# Part 1 : Welcome to TSYS Group

- [Your First Day](./culture/YourFirstDay.md)
- [TSYS Group Facts That Matter](./culture/TSYSGroupFactsThatMatter.md)
- [Welcome to Flatland](./culture/WelcomeToFlatland.md)

# Part 2 : Settling In

- [Your First Week](./culture/YourFirstWeek.md)
- [Teams, Hours, and the Office](./culture/Org.md)
- [Risks](./culture/Risks.md)

# Part 3: Choose Your Own Adventure

- [Your First Month](./culture/YourFirstMonth.md)

# Part 4: TSYS Group Is A Work In Progress

- [TSYS Group GrowthAndChange](./culture/TheoryOfRecruitmentAndOnboarding.md)

# Part 5: Functional Area : Group Wide Independent Governance, Oversight, Stakeholder Representation

- [Board Of Directors Manual](./Board/BoardOfDirectorsManual.md)
- [Executive Governance Nominating Committee Charter](./Board/charters/Executive-Governance-Nominating-Committee-Charter.md)
- [Audit Committee Charter](./Board/charters/Audit-Committee-Charter.md)
- [For Profit Committee Charter](./Board/charters/ForProfit-Committee-Charter.md)
- [Non Profit Committee Charter](./Board/charters/NonProfit-Committee-Charter.md)
- [HFNOC Committee Charter](./Board/charters/HFNOC-Committee-Charter.md)
- [Redwood Committee Charter](./Board/charters/Redwood-Committee-Charter.md)
- [LLC name and purpose](./OperatingAgreement-StandaloneLLC/CompanyNameAndPurpose.md)
- [Definitions](./OperatingAgreement-StandaloneLLC/Definitions.md)
- [Boilerplate terms and conditions](./OperatingAgreement-StandaloneLLC/CommonTermsAndConditions.md)
- [Profit Interests Grant](./OperatingAgreement-StandaloneLLC/ProfitInterest.md)
- [Member Time And Capital Contribution Requirements](./OperatingAgreement-StandaloneLLC/TimeAndCapitalRequirements.md)
- [Distribution of Profits to Members](./OperatingAgreement-StandaloneLLC/Distributions.md)
- [Removal of a member](./OperatingAgreement-StandaloneLLC/MemberRemoval.md)
- [Raising Outside Capital](./OperatingAgreement-StandaloneLLC/OutsideCapRaise.md) 
- [Dissolution of the LLC](./OperatingAgreement-StandaloneLLC/Dissolution.md)
- [Rights of Members to access company information](./OperatingAgreement-StandaloneLLC/RightsToCompanyInformation.md)
- [LLC Accounts and Records](./OperatingAgreement-StandaloneLLC/AccountsAndRecords.md)
- [Granting of additional membership interests](./OperatingAgreement-StandaloneLLC/AdditionalMembershipInterests.md)
- [Limited indemnification for directors](./OperatingAgreement-StandaloneLLC/Indemnification.md)
- [Member assignment of Intellectual Property to LLC](./OperatingAgreement-StandaloneLLC/IntelectualPropertAssign.md)
- [Management of the LLC](./OperatingAgreement-StandaloneLLC/ManagementOfTheLLC.md)
- [Taxes](./OperatingAgreement-StandaloneLLC/Taxes.md)
- [NDA](./OperatingAgreement-StandaloneLLC/NonDisclosure.md)

# Part 6: Functional Area: Chief Executive Officer

# Part 7: Functional Area: Chief Operations Officer

# Part 8: Functional Area: Chief Finance Officer

# Part 9: Functional Area: Chief Technology Officer

- [TeamHwEng - Supply Chain](./CTO/team-hweng/HwEngSupplyChain.md)
- [TeamHwEng - Component Inventory](./CTO/team-hweng/labComponentInventory.md)
- [TeamHwEng - Tooling](./CTO/team-hweng/HwEngTooling.md)
- [TeamSwEng - Supply Chain](./CTO/team-sweng/SwEngSupplyChain.md)
- [TeamSwEng - Tooling](./CTO/team-sweng/SwEngTooling.md)
- [TeamMecheng - Supply Chain](./CTO/team-mecheng/MechEngSupplyChain.md)
- [TeamMecheng - Tooling](./CTO/team-mecheng/MechEngTooling.md)

# Part 10: Functional Area: Chief Information Technology Officer

- [Known Element Enterprises Charter](./CIO/KnelCharter.md)
- [Policies - Business Continuity Plan](./CIO/Policies/BusinessContinuityPlan.md)
- [Policies - Authentication](./CIO/Policies/Authentication.md)
- [Processes - Two Factor Authentication ](./CIO/Processes/2fa.md)
- [Processes - Move To Production](./CIO/Processes/MoveToProduction.md)
- [Processes - New Team Member Onboarding](./CIO/Processes/NewTeamMemberOnboarding.md)
- [Processes - PFV Datacenter Runbook](./CIO/Processes/PFVRunbook.md)
- [Processes - VPN User Management](./CIO/Processes/VpnUser.md)
- [Processes - Vulnerability Management](./CIO/Processes/VulnerabilityManagmentNotes.md)
- [Systems - Overview](./CIO/Systems/TSYS-Systems.md)
- [Systems - Applications And Web Services](./CIO/Systems/Admin-Application/AppsAndServices.md)
- [Systems - Runtime Environment for Hosted Services](./CIO/Systems/Admin-Application/RuntimeLayer.md)
- [Systems - Web Server Configuration](./CIO/Systems/Admin-Application/WebServerSetupNotes.md)
- [Systems - Cooling](./CIO/Systems/Admin-DataCenter/cooling/PFVCooling2021.md)
- [Systems - Power](./CIO/Systems/Admin-DataCenter/power/PFVPower2021Prod.md)
- [Systems - Physical Security](./CIO/Systems/Admin-DataCenter/security/PhysicalSecurity.md)
- [Systems - Storage](./CIO/Systems/Admin-DataCenter/storage/PFVStorage2021.md)
- [Systems - TSYS HQ LAN](./CIO/Systems/Admin-DataCenter/networking/PFV-LAN.md)
- [Systems - TSYS HQ WAN](./CIO/Systems/Admin-DataCenter/networking/PFV-WAN.md)
- [Systems - Virtual Guests Inventory](./CIO/Systems/Admin-Platform/TSYS-Systems.md)
- [Systems - Workstation Build Guide](./CIO/Systems/Admin-RandD/EngWorkstationBuildGuide.md)
- [Systems - VsCode Configuration Guide](./CIO/Systems/Admin-RandD/VsCodeConfigGuide.md)


# Part 11: Functional Area: Chief Marketing Officer

# Part 12: Funtional Area: Chief Revenue Officer

# Part 13: Outreach Material - Pitch Deck / Orientation

- [Introduction To TSYS Group](./PitchDeck/Orientation/TSYSGroupIntro.md)
- [Components - NotPrimarilyForProfit](./PitchDeck/Orientation/CorpComponents-NotPrimarilyForProfit.md)
- [Components - Cooperative](./PitchDeck/Orientation/CorpComponents-Coop.md)
- [What TSYS Group Does](./PitchDeck/Orientation/WhatTSYSGroupDoes.md)
- [Why TSYS Group Does What We Do](./PitchDeck/Orientation/WhyTSYSGroupDoes.md)
- [How TSYS Group Does What We Do](./PitchDeck/Orientation/HowTSYSGroupDoes.md)
- [TSYS Group Values](./PitchDeck/Orientation/TSYSGroupValues.md)
- [People and Product Management](./PitchDeck/Orientation/PeopleAndProductManagement.md)
- [Performance & Compensation](./PitchDeck/Orientation/PerfAndComp.md)
- [Team Structure](./PitchDeck/Orientation/TeamStructure.md)
- [Market Overview](./PitchDeck/Orientation/MarketOverview.md)
- [The Product](./PitchDeck/Orientation/TheProduct.md)
- [How We Build Product](./PitchDeck/Orientation/HowWeBuildProduct.md)
- [Product Tooling](./PitchDeck/Orientation/ProductTooling.md)
- [Product Supply Chain](./PitchDeck/Orientation/ProductSupplyChain.md)
- [The Services](./PitchDeck/Orientation/TheServices.md)
- [How We Build Services](./PitchDeck/Orientation/HowWeBuildServices.md)
- [Service Tooling](./PitchDeck/Orientation/ServiceTooling.md)
- [Service Supply Chain](./PitchDeck/Orientation/ServiceSupplyChain.md)
- [Financial Information](./PitchDeck/Orientation/Finances.md)
- [Risk Factors - Overview](./PitchDeck/Orientation/RiskFactorsOverview.md)
- [Risk Factors - Regulatory Environment](./PitchDeck/Orientation/RiskFactorsRegulatoryEnvironment.md)
- [Wrap Up](./PitchDeck/Orientation/WrapUp.md)
- [Deliverables Produced For External Consumption/Evaluation - US Federal Government](./PitchDeck/ExternalDeliverables-USG.md)
- [SBIR Pitch - Company / Team](./PitchDeck/SbirPitch/company-team.md)
- [SBIR Pitch - Innovation](./PitchDeck/SbirPitch/innovation.md)
- [SBIR Pitch - Market Opportunity](./PitchDeck/SbirPitch/market-opportunity.md)
- [SBIR Pitch - Objectives / Challenges](./PitchDeck/SbirPitch/objectives-challenges.md)
